EDIT - feature request #5875

Add isDefault flag to DescriptionBase
06/08/2016 03:20 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 4.1

Severity: normal

Description

In simple views that do not show the full description hierarchie (item - descriptionBase - DescriptionElementBase/Feature- xxx ) we
sometimes need a possibility to decide where to put a description element. Therefore we should have a default DescriptionBase that

all elements go into as long as they have no specific DescriptionBase defined.

Example: the planned simple tabular distribution viewwhich allows adding a descriptionBase but does not require (#5876)

Implementation in TaxEditor: #5973

Related issues:
Related to EDIT - feature request #5973: Implement DescriptionBase.isDefault ...

Closed

Associated revisions

Revision 46¢571ad - 07/08/2016 06:05 PM - Andreas Miiller
#5875 Add isDefault flag to DescriptionBase

Revision b3570263 - 11/14/2016 02:27 PM - Andreas Miiller
ref #5875 fix testdata in TaxEditor

Revision e042ef3a - 11/14/2016 02:38 PM - Andreas Miiller
ref #5875 fix testdata in TaxEditor

History

#1 - 07/08/2016 05:38 PM - Andreas Miuller

- Status changed from New to In Progress

#2 - 07/08/2016 06:19 PM - Andreas Miuller
Fixed by r28663

#3 - 07/08/2016 06:19 PM - Andreas Miuller

- Status changed from In Progress to Resolved

#4 - 11/16/2016 10:43 AM - Andreas Miiller
- Description updated
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

#5 - 11/21/2016 01:40 PM - Andreas Miiller

- Private changed from Yes to No

#6 - 10/05/2023 09:53 AM - Andreas Mdiller

- Related to feature request #5973: Implement DescriptionBase.isDefault in TaxEditor added
